var nano = require('nano')('http://localhost:5984');

// clean up the database we created previously
nano.db.destroy('keeper', function () {
    // create a new database
    nano.db.create('keeper', function () {
        // specify the database we are going to use
        var keeper = nano.use('keeper');
        // and insert a document in it
        /*    keeper.insert({ crazy: true }, 'rabbit', function(err, body, header) {
         if (err) {
         console.log('[alice.insert] ', err.message);
         return;
         }
         console.log('you have inserted the rabbit.')
         console.log(body);
         });*/

        keeper.insert(
            {
                "views": {
                    "titles": {
                        "map": function (doc) { emit(null, doc.title); }
                    }
                }
            }, '_design/titles', function (error, response) {
                console.log("_design/titles added");
            });

        keeper.insert(
            {
                "views": {
                    "reducedView": {
                        "map": function (doc) { emit(null, [doc.title, doc.reduced]); }
                    }
                }
            }, '_design/reducedView', function (error, response) {
                console.log("_design/reducedView added");
            });

        keeper.insert(
            {
                "views": {
                    "taglist": {
                        "map": function (doc) { if (doc.type == 1) { emit(null, doc); } }
                    }}

                }, '_design/taglist', function (error, response) {
                console.log("_design/taglist added");
            });

        keeper.insert(
            {
                "views": {
                    "getAllTags": {
                        "map": function (doc) { if (doc.tags.list.length > 0) { emit(null, doc.tags.list); } }
                    }}

                }, '_design/getAllTags', function (error, response) {
                console.log("_design/getAllTags added");
            });

        keeper.insert(
            {
                "views": {
                    "getAllTags": {
                        "map": function(doc) { if (doc.tags.list.length > 0) { for (var t=0;t< doc.tags.list.length;t++) { emit(doc._id, [doc.tags.list[t], doc.title]); } } }
                        }
                    }}

                }, '_design/getTagByKey', function (error, response) {
                console.log("_design/getTagByKey added");
            });

    });
});
/**
 * Created by Martin on 02/03/2016.
 */



